Subject: Re: bug#9112: 24.0.50; EasyPG - creating new gpg-encrypted files fails

From: "Roland Winkler" <[email-masked]>
Date: Mon, 1 Aug 2011 19:40:55 -0500

On Tue Aug 2 2011 Daiki Ueno wrote:
> tags 9112 notabug
> thanks
> 
> "Roland Winkler" <[email-masked]> writes:
> 
> >> The default value of epa-file-select-keys has changed from nil to
> >> 'silent in Emacs 24, which means symmetric encryption is now default.
> >> You could set the variable to nil for the compatible behavior.  
> >
> > I see. Just curious: what was the reason for this change? I browsed
> > emacs-devel and bug-gnu-emacs (and etc/NEWS), but I could not find
> > anything.
> 
> I found the bug which caused this change:
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7487#49

Reading through your posting,

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7487#40

I do not quite understand the rationale

> Right, but some people (Ted and Lars at least) feel the behavior too
> verbose.  Maybe pinentry could be improved to display what gpg will do.
> Actually I sometimes use gnome-keyring-daemon's gpg-agent support, which
> displays two passphrase entries for confirmation and that implies
> symmetric encryption.

I strongly disagree in the sense that I find the current default
behavior to brief. Ted, Lars, and also I myself, we can always
customize things to make the behavior more brief and geared towards
our personal needs. But making the brief behavior the default,
assuming that the average user understands all this things, in my
opinion is asking for trouble and confusion.

Should I file another bug report for this?

Roland